Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.security
Class SecurityProcessingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  weblogic.xml.stream.XMLStreamException
                      weblogic.xml.security.SecurityProcessingException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

Deprecated. please use new WS Security API

public class SecurityProcessingException
extends XMLStreamException

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.xml.stream.XMLStreamException
`th`

Constructor Summary
`SecurityProcessingException()` Deprecated.
`SecurityProcessingException(String msg)` Deprecated.
`SecurityProcessingException(String msg, Throwable th)` Deprecated.
`SecurityProcessingException(Throwable th)` Deprecated.

Methods inherited from class weblogic.xml.stream.XMLStreamException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityProcessingException

    public SecurityProcessingException()

  Deprecated.

### SecurityProcessingException

    public SecurityProcessingException(String msg)

  Deprecated.

### SecurityProcessingException

    public SecurityProcessingException(String msg,
                                       Throwable th)

  Deprecated.

### SecurityProcessingException

    public SecurityProcessingException(Throwable th)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD